#!/bin/bash

ICON=""
MAC="88:C9:E8:EF:69:1E"

INFO=$(bluetoothctl info "$MAC")

# Si no está conectado, no mostrar nada
if ! echo "$INFO" | grep -q "Connected: yes"; then
  echo ""
  exit 0
fi

# Extraer el valor dentro de paréntesis (por ejemplo, 50)
PCT=$(echo "$INFO" | awk -F'[()]' '/Battery Percentage/ {gsub(/ /,""); print $2}')

if [[ -n "$PCT" ]]; then
  echo "{\"text\": \"$ICON ${PCT}%\", \"tooltip\": \"Batería del headset: ${PCT}%\"} "
else
  echo "{\"text\": \"$ICON\", \"tooltip\": \"Headset conectado, batería desconocida\"} "
fi

